Merge branch 'issue/2036-job-monitor' into 'develop'

[#2036] fix job monitor

See merge request !2877
19 jobs for develop in 54 minutes and 9 seconds (queued for 7 seconds)
Status Job ID Name Coverage
  Build
passed #143996
build

00:02:53

 
  Test
passed #144001
analysis

00:03:02

passed #143998
federated-testing

00:06:09

passed #144000
lint

00:00:30

passed #144014
unit-testing

00:07:15

88.1%
passed #144012
unit-testing-rum

00:06:29

failed #144013
unit-testing

00:08:08

88.1%
failed #143997
unit-testing

00:07:17

88.1%
failed #143999
unit-testing-rum

00:06:27

 
  Benchmark
manual #144002
allowed to fail manual
benchmark
 
  Deploy
passed #144003
docs-deploy

00:01:11

manual #144004
allowed to fail manual
stop_review_app
 
  Release
failed #144005
amd64

00:03:30

failed #144006
amd64-musl

00:02:38

failed #144007
arm32
arm

00:15:04

failed #144008
arm32
arm-musl

00:15:04

failed #144009
arm
arm64

00:04:40

failed #144010
arm
arm64-musl

00:04:25

 
  Docker
skipped #144011
dind allowed to fail
docker
 
Name Stage Failure
failed
arm-musl Release
==> pleroma
** (Mix) Could not compile with "make" (exit status: 2).
You need to have gcc and make installed. If you are using
Ubuntu or any other Debian-based system, install the packages
"build-essential". Also install "erlang-dev" package if not
included in your Erlang/OTP version. If you're on Fedora, run
"dnf group install 'Development Tools'".

ERROR: Job failed: exit code 1
failed
arm Release
** (Mix) Could not compile with "make" (exit status: 2).
You need to have gcc and make installed. If you are using
Ubuntu or any other Debian-based system, install the packages
"build-essential". Also install "erlang-dev" package if not
included in your Erlang/OTP version. If you're on Fedora, run
"dnf group install 'Development Tools'".

==> pleroma
ERROR: Job failed: exit code 1
failed
arm64-musl Release
==> pleroma
** (Mix) Could not compile with "make" (exit status: 2).
You need to have gcc and make installed. If you are using
Ubuntu or any other Debian-based system, install the packages
"build-essential". Also install "erlang-dev" package if not
included in your Erlang/OTP version. If you're on Fedora, run
"dnf group install 'Development Tools'".

ERROR: Job failed: exit code 1
failed
arm64 Release
==> pleroma
** (Mix) Could not compile with "make" (exit status: 2).
You need to have gcc and make installed. If you are using
Ubuntu or any other Debian-based system, install the packages
"build-essential". Also install "erlang-dev" package if not
included in your Erlang/OTP version. If you're on Fedora, run
"dnf group install 'Development Tools'".

ERROR: Job failed: exit code 1
failed
amd64 Release
==> pleroma
** (Mix) Could not compile with "make" (exit status: 2).
You need to have gcc and make installed. If you are using
Ubuntu or any other Debian-based system, install the packages
"build-essential". Also install "erlang-dev" package if not
included in your Erlang/OTP version. If you're on Fedora, run
"dnf group install 'Development Tools'".

ERROR: Job failed: exit code 1
failed
amd64-musl Release
==> pleroma
** (Mix) Could not compile with "make" (exit status: 2).
You need to have gcc and make installed. If you are using
Ubuntu or any other Debian-based system, install the packages
"build-essential". Also install "erlang-dev" package if not
included in your Erlang/OTP version. If you're on Fedora, run
"dnf group install 'Development Tools'".

ERROR: Job failed: exit code 1